_msgs.cli =
  [
    /* 0  */ "ERROR: Invalid Telnet Port value. Valid range is from 1 to 65535.",
    /* 1  */ "ERROR: The Telnet Port value is already in use by {}.",
    /* 2  */ "ERROR: Failed to commit the Telnet Port.",
    /* 3  */ "ERROR: Failed to enable Telnet Access.",
    /* 4  */ "Telnet Access turned on.",
    /* 5  */ "ERROR: Failed to disable Telnet Access.",
    /* 6  */ "Telnet Access turned off.",
    /* 7  */ "ERROR: Invalid SSH Port value. Valid range is from 1 to 65535.",
    /* 8  */ "ERROR: The SSH Port value is already in use by {}.",
    /* 9  */ "ERROR: Failed to commit the SSH Port.",
    /* 10 */ "ERROR: Failed to enable SSH Access.",
    /* 11 */ "SSH Access turned on.",
    /* 12 */ "ERROR: Failed to disable SSH Access.",
    /* 13 */ "SSH Access turned off.",
    /* 14 */ "ERROR: Password is too long.",
    /* 15 */ "ERROR: Password contains incorrect characters.",
    /* 16 */ "ERROR: Failed to commit the Password.",
    /* 17 */ "ERROR: Failed to set the Password.",
    /* 18 */ "Changed the Password.",
    /* 19 */ "ERROR: Failed to commit the Enable Level Password.",
    /* 20 */ "ERROR: Failed to set the Enable Level Password.",
    /* 21 */ "Changed the Enable Level Password.",
    /* 22 */ "The Password has been deleted.",
    /* 23 */ "The Enable Password has been deleted.",
    /* 24 */ "The Telnet Session has been killed.",
    /* 25 */ "The SSH Session has been killed.",
    /* 26 */ "Changing the Telnet Port to {}",
    /* 27 */ "Changing the SSH Port to {}",
    /* 28 */ "ERROR: Failed to change the Quit connect line string",
    /* 29 */ "Changed the Quit connect line string",
    /* 30 */ "ERROR: Failed to reset the Quit connect line string",
    /* 31 */ "Reset the Quit connect line string",
  ];

function CliConnectionsRender(xml, id, action)
{
    var d = document.getElementById(id);
    d.innerHTML = '';

    var r = '';

    if (!xml || !xml.hasChildNodes())
    {
        r += "<None>";
    }
    else
    {
        var first = true;

        for (var i = 0; xml && i < xml.childNodes.length; i++)
        {
            var node = xml.childNodes[i];

            if (node.nodeName.toLowerCase() == "c")
            {
                if (!first)
                {
                    r += "<br/>";
                }

                first = false;

                r += GetXmlData(node, "s") + " [<a href=\"javascript:void(0)\" onclick=\"if (confirm('Are you SURE you want to kill this session?')) ajax_CliStatsClean([true, 'action=" + action + "&amp;id=" + GetXmlData(node, "i") + "']); return false;\">Kill</a>]<br/>";
                r += "Uptime: " + GetXmlData(node, "u") + "<br/>";
                r += "Bytes In: " + GetXmlData(node, "bi") + "<br/>";
                r += "Bytes Out: " + GetXmlData(node, "bo") + "<br/>";
            }
        }
    }

    d.innerHTML = r;
}

function CliTelnetRender(xml)
{
    CliConnectionsRender(xml, 'telnetconn', 'killtelnet');
}



function CliSshRender(xml)
{
    CliConnectionsRender(xml, 'sshconn', 'killssh');
}



function SetCliLinks()
{
    document.getElementById('telnetportD').style.display =
        (document.getElementById('telnetport').innerHTML == '23') ? 'none' : 'inline';


    document.getElementById('sshportD').style.display =
        (document.getElementById('sshport').innerHTML == '22') ? 'none' : 'inline';


    document.getElementById('clipassD').style.display =
        (document.getElementById('clipass').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('clienableD').style.display =
        (document.getElementById('clienable').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('quitconnectlineD').style.display =
        (document.getElementById('quitconnectline').innerHTML == '&lt;control&gt;L') ? 'none' : 'inline';
}

function SetCliNav(xml)
{
    SetNav(xml, false, true);
}
