_msgs.dns =
  [
    /* 0  */ "ERROR: Must specify the Host.",
    /* 1  */ "ERROR: Invalid Primary DNS Address.",
    /* 2  */ "ERROR: Failed to set the Primary DNS Address.",
    /* 3  */ "The Primary DNS Address has been changed.",
    /* 4  */ "ERROR: Invalid Secondary DNS Address.",
    /* 5  */ "ERROR: Failed to set the Secondary DNS Address.",
    /* 6  */ "The Secondary DNS Address has been changed.",
    /* 7  */ "ERROR: Failed to delete the Primary DNS Server.",
    /* 8  */ "The Primary DNS Server has been deleted.",
    /* 9  */ "ERROR: Failed to delete the Secondary DNS Server.",
    /* 10 */ "The Secondary DNS Server has been deleted.",
    /* 11 */ "ERROR: DNS Name not specified.",
    /* 12 */ "ERROR: Reverse Lookup failed for {}.",
    /* 13 */ "ERROR: Forward Lookup failed for {}.",
    /* 14 */ "{} has been removed from the DNS Cache.",
  ];

function DnsCacheRender(xml)
{
    var d = document.getElementById('dnscache');
    d.innerHTML = '';

    var r = '';

    r += "<table class=\"basicTable dnsCacheTable\">";

    if (!xml || !xml.hasChildNodes())
    {
        r += "<tr><td><b>There are no entries in the cache.</b></td></tr>";
    }
    else
    {
        for (var i = 0; xml && i < xml.childNodes.length; i++)
        {
            var node = xml.childNodes[i];

            if (node.nodeName.toLowerCase() == "d")
            {
                var name = GetXmlData(node, "n");
                var ip = GetXmlData(node, "i");
                var updates = GetXmlData(node, "u");
                var numfail = GetXmlData(node, "f");
                var maxfail = GetXmlData(node, "m");

                r += "<tr><td>";
                r += "<b>" + name + "</b> - " + ip + " [<a href=\"javascript:void(0)\" onclick=\"if (confirm('Are you SURE you want to delete this information?')) ajax_DnsClean([true, 'action=deleteentry&amp;name=" + encodeURIComponent(name) + "']); return false;\">Delete</a>]<br/>";
                r += "Expires in " + GetXmlData(node, "e") + "<br/>";
                if (updates && numfail && maxfail)
                {
                    r += "Updates " + updates + "<br/>" + numfail + " Failures / " + maxfail + " Max Failures<br/>";
                }
                r += "</td></tr>";
            }
        }
    }

    r += "</table>";

    d.innerHTML = r;
}

function SetDnsLinks()
{
    document.getElementById('dnsStaticPriD').style.display =
        (document.getElementById('dnsStaticPri').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('dnsStaticSecD').style.display =
        (document.getElementById('dnsStaticSec').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';
}
