_msgs.http =
  [
    /* 0  */ "ERROR: Failed to turn off the HTTP Server.",
    /* 1  */ "HTTP Server turned off.",
    /* 2  */ "ERROR: Invalid HTTP Port value. Valid range is from 1 to 65535.",
    /* 3  */ "ERROR: The HTTP Port value is already in use.",
    /* 4  */ "ERROR: Failed to commit the HTTP Port value.",
    /* 5  */ "ERROR: Invalid HTTPS Port value. Valid range is from 1 to 65535.",
    /* 6  */ "ERROR: The HTTPS Port value is already in use.",
    /* 7  */ "ERROR: Failed to commit the HTTPS Port value.",
    /* 8  */ "ERROR: Invalid Max Timeout value. Valid range is from 1 to 3600 seconds.",
    /* 9  */ "ERROR: Failed to commit the Max Timeout value.",
    /* 10 */ "ERROR: Invalid Max Bytes value. Valid values range from 2048 to 40960.",
    /* 11 */ "ERROR: Failed to commit the Max Bytes value.",
    /* 12 */ "Logging turned on.",
    /* 13 */ "ERROR: Failed to turn off logging.",
    /* 14 */ "Logging turned off.",
    /* 15 */ "ERROR: Invalid Max Log Entries value. Valid values range from 1 to 400.",
    /* 16 */ "ERROR: Failed to commit the Max Log Entries value.",
    /* 17 */ "ERROR: Failed to commit the Log Format string.",
    /* 18 */ "The HTTP log data has been cleared.",
    /* 19 */ "ERROR: Failed to restore the Log Format to its default.",
    /* 20 */ "The HTTP Log Format has been restored to its default.",
    /* 21 */ "ERROR: Must specify a URI.",
    /* 22 */ "ERROR: Invalid Authentication Type.",
    /* 23 */ "ERROR: Must submit both a Username and Password.",
    /* 24 */ "ERROR: Failed to get existing values.",
    /* 25 */ "ERROR: Failed to modify the Authentication Type.",
    /* 26 */ "ERROR: Failed to modify the Realm.",
    /* 27 */ "ERROR: Must specify a Realm.",
    /* 28 */ "ERROR: Failed to commit the changes.",
    /* 29 */ "ERROR: URI not specified.",
    /* 30 */ "ERROR: Failed to delete the authentication.",
    /* 31 */ "ERROR: Failed to commit changes.",
    /* 32 */ "ERROR: User not specified.",
    /* 33 */ "ERROR: Failed to delete the user.",
    /* 34 */ "ERROR: Failed to commit changes.",
    /* 35 */ "ERROR: Failed to turn on the RSS feed.",
    /* 36 */ "RSS feed turned on.",
    /* 37 */ "ERROR: Failed to turn off the RSS feed.",
    /* 38 */ "RSS feed turned off.",
    /* 39 */ "ERROR: Failed to turn on RSS data Persistence.",
    /* 40 */ "RSS data is now Persistent.",
    /* 41 */ "ERROR: Failed to turn off RSS data Persistence.",
    /* 42 */ "RSS data is now not Persistent.",
    /* 43 */ "ERROR: Invalid Max Entries value. Valid range is from 1 to 400.",
    /* 44 */ "ERROR: Failed to commit the Max Entries value.",
    /* 45 */ "The RSS log data has been cleared.",
    /* 46 */ "HTTP Port changed to {}.",
    /* 47 */ "HTTPS Port changed to {}.",
    /* 48 */ "Max Timeout changed to {}.",
    /* 49 */ "Max Bytes changed to {}.",
    /* 50 */ "Max Log Entries changed to {}.",
    /* 51 */ "Log Format changed to {}.",
    /* 52 */ "Changed the Authentication Type to {}.",
    /* 53 */ "Changed the Realm to {}.",
    /* 54 */ "ERROR: Failed to add {}.",
    /* 55 */ "Added HTTP authentication for {}.",
    /* 56 */ "ERROR: Failed to update the user {}.",
    /* 57 */ "Updated the user {}.",
    /* 58 */ "ERROR: Failed to add the user {}.",
    /* 59 */ "Added the user {}.",
    /* 60 */ "The authentication has been deleted for {}.",
    /* 61 */ "The user {} has been deleted under {}.",
    /* 62 */ "Changed the Max Entries value to {}.",
  ];

function HttpAuthRender(xml)
{
    var d = document.getElementById('httpdata');
    d.innerHTML = '';

    var r = '';
    var numAuth = 0;

    var startHref = " [<a href=\"javascript:void(0)\" onclick=\"if (confirm('Are you SURE you want to delete this information?')) ajax_HttpAuthClean([true, 'action=";
    var endHref = "']); return false;\">Delete</a>]";

    for (var i = 0; xml && i < xml.childNodes.length; i++)
    {
        var node = xml.childNodes[i];

        if (node.nodeName.toLowerCase() == "a")
        {
            numAuth++;

            var uri = GetXmlData(node, "p");
            var realm = GetXmlData(node, "r");
            var type = GetXmlData(node, "t");

            r += "<table class=\"basicTable httpAuthTable\">";
            r += "<tr><td><b>URI:</b></td><td>" + uri + startHref + "deleteuri&amp;uri=" + encodeURIComponent(uri) + endHref + "</td></tr>";
            r += "<tr><td><b>Realm:</b></td><td>" + realm + "</td></tr>";
            r += "<tr><td><b>AuthType:</b></td><td>" + type + "</td></tr>";
            r += "<tr><td><b>Users:</b></td><td>";

            var numUsers = 0;

            var users = node.getElementsByTagName('u');
            for (var j = 0; j < users.length; j++)
            {
                numUsers++;

                r += users[j].firstChild.nodeValue + startHref + "deleteuser&amp;uri=" + encodeURIComponent(uri) + "&amp;user=" + users[j].firstChild.nodeValue + endHref + "<br/>";
            }

            if (!numUsers)
            {
                r += "None";
            }

            r += "</td></tr>";
            r += "</table>";
        }
    }

    if (!numAuth)
    {
        d.innerHTML = "No authentication is currently configured for the HTTP Server.<br/>";
    }
    else
    {
        d.innerHTML = r;
    }
}

function SetHttpLinks()
{
    document.getElementById('httplogfmtD').style.display =
        (
            document.getElementById('httplogfmt').innerHTML ==
            document.getElementById('httplogfmtdefault').innerHTML
        ) ? 'none' : 'inline';
}

function SetHttpNav(xml)
{
    SetNav(xml, false, true);
}
