_msgs.modbus =
  [
    /* 0  */ "ERROR: Modbus TCP Server Additional Port must be from 1 to 65534.",
    /* 1  */ "The Modbus connection has been killed.",
    /* 2  */ "ERROR: The Port value is already in use by {}.",
    /* 3  */ "ERROR: Failed to commit the Additional Modbus Server Port.",
    /* 4  */ "Changing the Additional Modbus Server Port to {}",
    /* 5  */ "ERROR: Failed to enable Modbus Server Access.",
    /* 6  */ "Modbus Server Access turned on.",
    /* 7  */ "ERROR: Failed to disable Modbus Server Access.",
    /* 8  */ "Modbus Server Access turned off.",
    /* 9   */ "Deleting the Additional Modbus Server Port.",
  ];

function ModbusConnectionsRender(xml, id)
{
    var d = document.getElementById(id);
    d.innerHTML = '';

    var r = '';

    if (!xml || !xml.hasChildNodes())
    {
        r += "&lt;None&gt;";
    }
    else
    {
        var first = true;

        for (var i = 0; xml && i < xml.childNodes.length; ++i)
        {
            var node = xml.childNodes[i];
            if ( node.nodeName.toLowerCase() == "c" )
            {
                if ( ! first)
                {
                    r += "<br/>";
                }
                first = false;
                r += GetXmlData(node, "s") + " [<a href=\"javascript:void(0)\" onclick=\"if (confirm('Are you SURE you want to kill this connection?')) ajax_ModbusStatsClean([true, 'action=kill" + id + "&amp;id=" + GetXmlData(node, "i") + "']); return false;\">Kill</a>]<br/>";
                r += "Uptime: " + GetXmlData(node, "u") + "<br/>";
                r += "PDUs In: " + GetXmlData(node, "pdui") + "<br/>";
                r += "PDUs Out: " + GetXmlData(node, "pduo") + "<br/>";
            }
        }
    }
    d.innerHTML = r;
}

function modbusTcpConnectionsRender(xml)
{
    ModbusConnectionsRender(xml, 'modbusconn');
}

function modbusaddTcpConnectionsRender(xml)
{
    ModbusConnectionsRender(xml, 'modbusaddconn');
}


function SetModbusLinks()
{
    document.getElementById('modbusportD').style.display =
        (document.getElementById('modbusport').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';
}

function SetModbusNav(xml)
{
    SetNav(xml, false, true);
}
