_msgs.ssl =
  [
    /* 0  */ "ERROR: Failed to decode the SSL Certificate",
    /* 1  */ "No SSL Certificate is currently configured for the device.",
    /* 2  */ "ERROR: Must specify the Country.",
    /* 3  */ "ERROR: Must specify the State/Province.",
    /* 4  */ "ERROR: Must specify the Locality.",
    /* 5  */ "ERROR: Must specify the Organization.",
    /* 6  */ "ERROR: Must specify the Organization Unit.",
    /* 7  */ "ERROR: Must specify the Common Name.",
    /* 8  */ "ERROR: Must specify the Expire date.",
    /* 9  */ "ERROR: Incorrect Expires date format, use mm/dd/yyyy.",
    /* 10 */ "ERROR: Must specify the Bit Size.",
    /* 11 */ "ERROR: Invalid value for the Bit Size.",
    /* 12 */ "ERROR: Failed to create the Self-Signed SSL Certificate and RSA Private Key.",
    /* 13 */ "The SSL Certificate has been generated.",
    /* 14 */ "The HTTP Server has been restarted.",
    /* 15 */ "ERROR: Must specify both SSL Certificate and Private Key files.",
    /* 16 */ "ERROR: Invalid SSL Certificate file length.",
    /* 17 */ "ERROR: Invalid SSL Private Key file length.",
    /* 18 */ "ERROR: Invalid SSL Certificate file Content-Type.",
    /* 19 */ "ERROR: Invalid SSL Private Key file Content-Type.",
    /* 20 */ "ERROR: Invalid SSL Certificate.",
    /* 21 */ "ERROR: Invalid SSL Private Key.",
    /* 22 */ "ERROR: Invalid SSL Certificate and/or Private Key.",
    /* 23 */ "ERROR: Failed to commit the new SSL Certificate and Private Key.",
    /* 24 */ "The SSL Certificate has been uploaded.",
    /* 25 */ "The SSL Certificate has been deleted.",
  ];

function SslCertRender(xml)
{
    var d = document.getElementById('ssldata');
    d.innerHTML = '';

    r = "[<a href=\"javascript:void(0)\" onclick=\"if (confirm('Are you SURE you want to delete this infomation?')) ajax_SslCertClean([false, 'deletesslcert']); return false;\">Delete</a>]<br/>";
    r += "<table class=\"basicTable sslTable\"><tr>";
    r += "<td><b>Version:</b></td><td>" + GetXmlData(xml, "vers") + "</td></tr>";
    r += "<td><b>Serial Number:</b></td><td style=\"font-family: monospace;\">" + GetXmlData(xml, "ser") + "</td></tr>";
    r += "<td><b>Signature Algorithm:</b></td><td>" + GetXmlData(xml, "alg") + "</td></tr>";
    r += "<td><b>Issuer:</b></td><td>";
    r += "<b>C:</b> " + GetXmlData(xml, "ic") + "<br/>";
    r += "<b>ST:</b> " + GetXmlData(xml, "ist") + "<br/>";
    r += "<b>L:</b> " + GetXmlData(xml, "il") + "<br/>";
    r += "<b>O:</b> " + GetXmlData(xml, "io") + "<br/>";
    r += "<b>OU:</b> " + GetXmlData(xml, "iou") + "<br/>";
    r += "<b>CN:</b> " + GetXmlData(xml, "icn") + "<br/>";
    r += "</td></tr> ";
    r += "<td><b>Validity:</b></td><td>";
    r += "<b>Issued On:</b> " + GetXmlData(xml, "vi") + "<br/>";
    r += "<b>Expires On:</b> " + GetXmlData(xml, "ve") + "<br/>";
    r += "</td></tr>";
    r += "<td><b>Subject:</b></td><td>";
    r += "<b>C:</b> " + GetXmlData(xml, "sc") + "<br/>";
    r += "<b>ST:</b> " + GetXmlData(xml, "sst") + "<br/>";
    r += "<b>L:</b> " + GetXmlData(xml, "sl") + "<br/>";
    r += "<b>O:</b> " + GetXmlData(xml, "so") + "<br/>";
    r += "<b>OU:</b> " + GetXmlData(xml, "sou") + "<br/>";
    r += "<b>CN:</b> " + GetXmlData(xml, "scn") + "<br/>";
    r += "</td></tr> ";
    r += "<td><b>Subject Public Key:</b></td><td style=\"font-family: monospace;\">";
    r += GetXmlData(xml, "keyb") + "<br/>";
    r += GetXmlData(xml, "keyd");
    r += "</td></tr> ";
    r += "</table> ";

    d.innerHTML = r;
}

function SslUploadClearForm(xml)
{
    var p;
    var oldInput;
    var newInput;

    p = document.getElementById('sslcertfileparent');
    oldInput = document.getElementById('sslcertfile');
    newInput = document.createElement('input');
    newInput.id = 'sslcertfile';
    newInput.name = 'sslcert';
    newInput.type = 'file';
    newInput.size = '32';
    newInput.maxlength = '255';
    p.replaceChild(newInput, oldInput);

    p = document.getElementById('sslkeyfileparent');
    oldInput = document.getElementById('sslkeyfile');
    newInput = document.createElement('input');
    newInput.id = 'sslkeyfile';
    newInput.name = 'sslkey';
    newInput.type = 'file';
    newInput.size = '32';
    newInput.maxlength = '255';
    p.replaceChild(newInput, oldInput);
}
