function GetRealTextNode(node)
{
    if (node.hasChildNodes() && (node.firstChild.nodeType != 3))
    {
        return node.firstChild;
    }
    else if (node.hasChildNodes() && (node.childNodes[1].nodeType == 1))
    {
        return node.childNodes[1];
    }
    else if (node.hasChildNodes() && (node.firstChild.nodeType == 1))
    {
        return node.firstChild;
    }

    return null;
}

function GetHiddenFrameOutput(hframe)
{
    var i;
    var j;
    var target;
    var data;

    var nodes = window.frames[hframe].document.getElementsByTagName('xml');
    for (i = 0; i < nodes.length; i++)
    {
        var node = GetRealTextNode(nodes[i]);
        if (node)
        {
            target = null;
            data = null;

            for (j = 0; j < node.childNodes.length ; j++)
            {
                if ((node.childNodes[j].nodeName.toLowerCase() == "target") && node.childNodes[j].firstChild)
                {
                    target = node.childNodes[j].firstChild.nodeValue;
                }
                else if (node.childNodes[j].nodeName.toLowerCase() == "data")
                {
                    data = node.childNodes[j];
                }
            }

            if (target && data)
            {
                eval(target + "(data);");
            }
        }
    }
}

function PrintMsg(xml, id)
{
    var d = document.getElementById(id);
    if (d)
    {
        fadeObj = new fx.Opacity(id, {duration: 800});
        fadeObj.hide();

        var isStr = true;

        if (xml.firstChild)
        {
            isStr = false;
        }

        if ((((xml.nodeType == 1) && (!xml.firstChild)) /* iframe xml parse empty */ ||
            (isStr && (xml.length == 0))) ||
            (!isStr && (!xml.firstChild || (xml.firstChild.nodeValue == ''))))
        {
            // clear
            d.innerHTML = '';
            d.style.display = 'none'; // don't display (iehack)
        }
        else
        {
            var r = d.innerHTML;

            if ((isStr && (xml == 'br')) ||
                (!isStr && (xml.firstChild.nodeValue == 'br')))
            {
                // newline catch
                r += "<br/>";
            }
            else
            {
                // append
                var msg = (isStr) ? xml : xml.firstChild.nodeValue;

                if (msg.match(/^ERROR:/))
                {
                    r += "<span class=\"errorLog\">" + msg + "</span><br/>";
                }
                else if (msg.match(/^WARNING:/))
                {
                    r += "<span class=\"warnLog\">" + msg + "</span><br/>";
                }
                else
                {
                    r += "<span class=\"okLog\">" + msg + "</span><br/>";
                }
            }

            d.innerHTML = r;
            d.style.display = 'block';
        }

        fadeObj.toggle();
    }
}

function PrintPostResults(xml) { PrintMsg(xml, 'results'); }

function GetXmlData(node, tag)
{
    var e = node.getElementsByTagName(tag);

    if (e.length != 1) // should only be one entry
    {
        return null;
    }
    else if (e[0].firstChild == null)
    {
        return "";
    }

    return e[0].firstChild.nodeValue;
}

function GetXmlBool(node, tag)
{
    var d = GetXmlData(node, tag);

    return (d && (d == "1")) ? true : false;
}

function GetMsgAndDisplay(xml)
{
    if (!xml || !xml.hasChildNodes())
    {
        alert("ERROR: Unable to display message.");
    }
    else
    {
        var f = GetXmlData(xml, "f");
        var c = GetXmlData(xml, "c");
        var i = GetXmlData(xml, "i");
        var msg = _msgs[c][i];
        eval(f + "(msg);");
    }
}

function GetMsgAndDisplayPrintf(xml)
{
    if (!xml || !xml.hasChildNodes())
    {
        alert("ERROR: Unable to display message.");
    }
    else
    {
        var f = GetXmlData(xml, "f");
        var c = GetXmlData(xml, "c");
        var i = GetXmlData(xml, "i");
        var msg = _msgs[c][i];

        var finalMsg = msg.slice(0); // copy the msg

        var args = xml.getElementsByTagName('arg');
        for (var i = 0; i < args.length; i++)
        {
            finalMsg = finalMsg.replace(/\{\}/, args[i].firstChild.nodeValue);
        }

        eval(f + "(finalMsg);");
    }
}

function MainStatusRender(xml)
{
    var d = document.getElementById('documentData');
    d.innerHTML = '';

    d = document.getElementById('subnavData');
    d.innerHTML = '';

    d = document.getElementById('contentData');
    d.innerHTML = '';

    var r = '<h2>Device Status</h2>';

    if (!xml || !xml.hasChildNodes())
    {
        r += "No MIB data is available.";
    }
    else
    {
        r += "<table class=\"basicTable statusTable\">";
        r += "<tr class=\"statusHeader\"><td colspan=\"3\"><b>Product Information</b></td></tr>";
        r += "<tr><td><b>Product Type:</b></td><td colspan=\"2\">" + GetXmlData(xml, "pn") + "</td></tr>";
        r += "<tr><td><b>Firmware Version:</b></td><td colspan=\"2\">" + GetXmlData(xml, "fv") + "</td></tr>";
        r += "<tr><td><b>Build Date:</b></td><td colspan=\"2\">" + GetXmlData(xml, "fbd") + "</td></tr>";
        r += "<tr><td><b>Serial Number:</b></td><td colspan=\"2\">" + GetXmlData(xml, "sn") + "</td></tr>";
        r += "<tr><td><b>Uptime:</b></td><td colspan=\"2\">" + GetXmlData(xml, "up") + "</td></tr>";
        r += "<tr><td><b>Permanent Config:</b></td><td colspan=\"2\">" + GetXmlData(xml, "pc") + "</td></tr>";
        r += "<tr class=\"statusHeader\"><td colspan=\"3\"><b>Network Settings</b></td></tr>";
        r += "<tr><td><b>Ethernet:</b></td><td colspan=\"2\">" + GetXmlData(xml, "eth") + "</td></tr>";
        r += "<tr><td><b>MAC Address:</b></td><td colspan=\"2\">" + GetXmlData(xml, "mac") + "</td></tr>";
        r += "<tr><td><b>Host:</b></td><td colspan=\"2\">" + GetXmlData(xml, "host") + "</td></tr>";
        r += "<tr><td><b>IP Address:</b></td><td colspan=\"2\">" + GetXmlData(xml, "ip") + "</td></tr>";
        r += "<tr><td><b>Default Gateway:</b></td><td colspan=\"2\">" + GetXmlData(xml, "rtr") + "</td></tr>";
        r += "<tr><td><b>Domain:</b></td><td colspan=\"2\">" + GetXmlData(xml, "dom") + "</td></tr>";
        r += "<tr><td><b>Primary DNS:</b></td><td colspan=\"2\">" + GetXmlData(xml, "pdns") + "</td></tr>";
        r += "<tr><td><b>Secondary DNS:</b></td><td colspan=\"2\">" + GetXmlData(xml, "sdns") + "</td></tr>";
        r += "<tr class=\"statusHeader\"><td colspan=\"3\"><b>Line Settings</b></td></tr>";
        for ( var line = 1; line <= 2; ++line )
        {
            r += "<tr>" + GetXmlData(xml, "line" + line ) + "</tr>";
        }
        r += "<tr class=\"statusHeader\"><td><b>Tunneling</b></td><td><b>Connect<br>Mode</b></td><td><b>Accept<br>Mode</b></td></tr>"
        for ( var line = 1; line <= 2; ++line )
        {
            var selected = GetXmlData(xml, "tun" + line + "sel");
            var warn = selected == 'true' ? "" : " Unselected";
            r += "<tr>";
            r += "<td><b>Tunnel " + line + warn + ":" + "</b></td>";
            r += "<td>" + GetXmlData(xml, "tun" + line + "con") + "</td>";
            r += "<td>" + GetXmlData(xml, "tun" + line + "acc") + "</td>";
            r += "</tr>";
        }
        r += "</table>";
    }

    d.innerHTML = r;
}

function SetNav(xml, doN1, doN2)
{
    var i;
    var navTable;
    var entries;

    if (doN1)
    {
        navTable = document.getElementById("Nav1");
        entries = navTable.getElementsByTagName("td");

        for (i = 0; i < entries.length; i++)
        {
            entries[i].style.border = '1px solid #efefef';
        }

        document.getElementById(GetXmlData(xml, 'n1')).style.border = '1px solid #999';
    }

    if (doN2)
    {
        navTable = document.getElementById("Nav2");
        entries = navTable.getElementsByTagName("td");

        for (i = 0; i < entries.length; i++)
        {
            entries[i].style.border = '1px solid #efefef';
        }

        document.getElementById(GetXmlData(xml, 'n2')).style.border = '1px solid #999';
    }
}

function SetNavDropDown(xml, doN1, doN2)
{
    var navSelect = document.getElementById("navSelect");
    if( navSelect != undefined )
    {
        var tmp = GetXmlData(xml, 'n1');
        tmp = tmp.replace(/sernav/, "");
        tmp = tmp.replace(/tunnav/, "");
        navSelect.value = String(Number(tmp)-1);
    }
}

function SetDiagNav(xml)
{
    SetNav(xml, false, true);
}
